Summary:	The GNU versions of find utilities (find and xargs)
Name:		findutils
Version:	4.10.0
Release:	%mkrel 1
License:	GPLv3
Group:		File tools
URL:		https://www.gnu.org/software/findutils/findutils.html
Source0:	https://ftp.gnu.org/gnu/findutils/%{name}-%{version}.tar.xz
Source1:	https://ftp.gnu.org/gnu/findutils/%{name}-%{version}.tar.xz.sig
# do not build locate
Patch1:		findutils-4.5.15-no-locate.patch
# add a new option -xautofs to find to not descend into directories on autofs
# file systems
Patch2:		findutils-4.4.2-xautofs.patch
# eliminate compile-time warnings
Patch3:		findutils-4.5.13-warnings.patch
# test-lock: disable the rwlock test
Patch4:		findutils-4.6.0-test-lock.patch
# implement the -noleaf option of find (#1252549)
Patch5:		findutils-4.6.0-leaf-opt.patch
# fix find not obeying -ignore_readdir_race in symlink_loop (#2232278)
Patch6:		findutils-4.9.0-ignore_readdir_race-symlink_loop.patch
Requires(pre):	filesystem >= 2.1.9-18
BuildRequires:	gettext-devel
BuildRequires:	texinfo

%description
The findutils package contains programs which will help you locate
files on your system.  The find utility searches through a hierarchy
of directories looking for files which match a certain set of criteria
(such as a filename pattern). The xargs utility builds and executes
command lines from standard input arguments (usually lists of file
names generated by the find command).

You should install findutils because it includes tools that are very
useful for finding things on your system.

%prep
%setup -q
rm -rf locate
%autopatch -p1

%build
# needed because of findutils-4.5.15-no-locate.patch
autoreconf -vfi
%configure \
	--disable-rpath \
	--enable-leaf-optimisation \
	--enable-d_type-optimization

%make_build

%check
%make_build check

%install
%make_install

%{find_lang} %{name}

%files -f %{name}.lang
%doc NEWS README
%{_bindir}/find
%{_bindir}/xargs
%{_mandir}/man1/find.1*
%{_mandir}/man1/xargs.1*
%{_infodir}/find*


%changelog
* Mon Jun 03 2024 daviddavid <daviddavid> 4.10.0-1.mga10
+ Revision: 2069554
- new version: 4.10.0

* Fri Apr 05 2024 wally <wally> 4.9.0-3.mga10
+ Revision: 2054611
- basesystem rebuild for i686

* Fri Mar 18 2022 umeabot <umeabot> 4.9.0-2.mga9
+ Revision: 1797647
- Mageia 9 Mass Rebuild

* Wed Feb 02 2022 luigiwalser <luigiwalser> 4.9.0-1.mga9
+ Revision: 1771113
- 4.9.0
- fix mistakenly renamed patch file names
- update rediffed patches from fedora

* Sun Jan 10 2021 luigiwalser <luigiwalser> 4.8.0-1.mga8
+ Revision: 1670635
- 4.8.0
- rediff patch 1
- remove obsolete configure option

* Wed Apr 15 2020 joequant <joequant> 4.7.0-3.mga8
+ Revision: 1567675
- remove info-install dep

* Mon Feb 17 2020 umeabot <umeabot> 4.7.0-2.mga8
+ Revision: 1537765
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Nov 09 2019 zezinho <zezinho> 4.7.0-1.mga8
+ Revision: 1458904
- new version 4.7.0
- sync patches with FC

* Mon Sep 03 2018 tv <tv> 4.6.0-2.mga7
+ Revision: 1256557
- sync patches with FC (fix build)
  o prevent mbrtowc tests from failing (rhbz#1294016)
  o fix build failure with glibc-2.28
  o clarify exit status handling of -exec cmd {} + in find(1) man page (rhbz#1325049)
  o make sure that find -exec + passes all arguments (upstream bug #48030)
  o fix build failure with glibc-2.25+
  o test-lock: disable the rwlock test
  o import gnulib's FTS module from upstream commit 281b825e (rhbz#1544429)
- rely on filetriggers for info system (mga#23482)
+ kekepower <kekepower>
- Use new make macros

* Tue Dec 29 2015 luigiwalser <luigiwalser> 4.6.0-1.mga6
+ Revision: 916860
- 4.6.0
- oldfind command no longer exists
- update no-locate patch (from fedora)
- add patch from fedora to add -xautofs option to not descend to autofs dirs
- add patch from fedora to fix compiler warnings
- add patch from fedora to implement leaf optimization for XFS and NFS

* Fri Aug 21 2015 tmb <tmb> 4.5.14-5.mga6
+ Revision: 867953
- fix build with perl 5.22 (fedora)
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 4.5.14-3.mga5
+ Revision: 741109
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.5.14-2.mga5
+ Revision: 679197
- Mageia 5 Mass Rebuild

* Thu Jul 24 2014 luigiwalser <luigiwalser> 4.5.14-1.mga5
+ Revision: 656131
- 4.5.14

* Fri Jul 18 2014 luigiwalser <luigiwalser> 4.5.13-1.mga5
+ Revision: 653523
- 4.5.13

* Mon Oct 21 2013 umeabot <umeabot> 4.5.12-2.mga4
+ Revision: 537296
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 luigiwalser <luigiwalser> 4.5.12-1.mga4
+ Revision: 486688
- 4.5.12

* Fri May 24 2013 shlomif <shlomif> 4.5.11-1.mga4
+ Revision: 426619
- New version 4.5.11

* Fri Jan 11 2013 umeabot <umeabot> 4.5.10-3.mga3
+ Revision: 350358
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 21 2012 colin <colin> 4.5.10-2.mga3
+ Revision: 273165
- Fix build with glibc-2.16 (patch originally from Gentoo)
- Update for usrmove

* Fri Jun 17 2011 tv <tv> 4.5.10-1.mga2
+ Revision: 109244
- new release

* Tue Jan 04 2011 tmb <tmb> 4.5.9-2.mga1
+ Revision: 148
- imported package findutils


* Tue Jan  4 2011 Thomas Backlund <tmb@mageia.org> 4.5.9-2.mga1
- initial import

* Sun Jul 25 2010 Sandro Cazzaniga <kharec@mandriva.org> 4.5.9-1mdv2011.0
+ Revision: 558688
- update to 4.5.9

* Wed Apr 28 2010 Pascal Terjan <pterjan@mandriva.org> 4.5.8-1mdv2010.1
+ Revision: 539986
- update to 4.5.8
- update nolocate patch to remove parts of the doc failing when update is not built

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - fix src url

* Wed Mar 10 2010 Ahmad Samir <ahmadsamir@mandriva.org> 4.5.5-2mdv2010.1
+ Revision: 517295
- readd dropped no-locate patch

* Mon Mar 08 2010 Sandro Cazzaniga <kharec@mandriva.org> 4.5.5-1mdv2010.1
+ Revision: 516346
- drop patch
- update to 4.5.5

* Mon Jun 08 2009 Funda Wang <fwang@mandriva.org> 4.4.2-1mdv2010.0
+ Revision: 383841
- New version 4.4.2

* Sun May 03 2009 Funda Wang <fwang@mandriva.org> 4.4.1-1mdv2010.0
+ Revision: 370974
- New version 4.4.1

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-3mdv2009.1
+ Revision: 316575
- rebuild

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 4.4.0-2mdv2009.0
+ Revision: 264463
- rebuild early 2009.0 package (before pixel changes)

* Mon May 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.0-1mdv2009.0
+ Revision: 206178
- new version
- Patch4: rediff
- use fts
- fix file list

* Thu Feb 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.2.33-1mdv2008.1
+ Revision: 173447
- new version

* Sat Jan 26 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.2.32-1mdv2008.1
+ Revision: 158426
- new version
- new license policy

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 4.2.31-2mdv2008.1
+ Revision: 149725
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.2.31-1mdv2008.0
+ Revision: 51596
- rediff patch 4
- drop useless buildrequires
- add optimizations
- add checks
- new version


* Tue Mar 06 2007 Emmanuel Andry <eandry@mandriva.org> 4.2.30-1mdv2007.0
+ Revision: 133428
- New version 4.2.30
- New version 4.2.29

* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 4.2.28-1mdv2007.1
+ Revision: 86345
- Import findutils

* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 4.2.28-1mdv2007.1
- 4.2.28
- fix deps
- bunzip patches

* Fri Dec 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.2.27-2mdk
- Fix prerequires

* Thu Dec 22 2005 Oden Eriksson <oeriksson@mandriva.com> 4.2.27-1mdk
- 4.2.27

* Mon Oct 10 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 4.2.25-2mdk
- add BuildRequires: cvs gettext-devel - for autoreconf's call to autopoint

* Thu Oct 06 2005 Giuseppe Ghibò <ghibo@mandriva.com> 4.2.25-1mdk
- Release: 4.2.25.

* Fri Aug 05 2005 Giuseppe Ghibò <ghibo@mandriva.com> 4.2.24-1mdk
- Release: 4.2.24.

* Sun Jul 10 2005 Giuseppe Ghibò <ghibo@mandriva.com> 4.2.23-1mdk
- Release: 4.2.23.

* Sun Apr 17 2005 Oden Eriksson <oeriksson@mandriva.com> 4.2.20-1mdk
- 4.2.20
- drop the nostatmountpt and the "Too many levels of symbolic links" 
  when using option "-follow" patches, it's implemented upstream

* Tue Mar 08 2005 Pixel <pixel@mandrakesoft.com> 4.2.18-2mdk
- added patch1 to fix "Too many levels of symbolic links" when using option "-follow"

* Thu Mar 03 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.2.18-1mdk
- 4.2.18
- added P0 to make it work even with dead nfs mounts(!)
- misc spec file fixes

* Mon Feb 14 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 4.2.17-1mdk
- Release: 4.2.17.
- cleaned spec file.
- Removed Patch0, merged upstream.

* Sun Feb 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.2.15-2mdk
- added P0 (#13621)

* Mon Feb 07 2005 Abel Cheung <deaddog@mandrakesoft.com> 4.2.15-1mdk
- New release 4.2.15
- Rediff Patch4 (don't build locate)
- Remove Patch8 (upstream)

* Sat Jan 08 2005 Pascal Terjan <pterjan@mandrake.org> 4.2.11-2mdk
- bug #12944 (patch 8)

* Thu Jan 06 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.2.11-1mdk
- new release
- fix url
- kill patches 0, 1, 2, 5, 6 (merged upstream)
- kill patches 3 (useless) and 7 (which break the installation)
- rediff patch 4

* Sat Aug 14 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 4.1.20-4mdk
- fix autotools calls

* Tue Aug 10 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 4.1.20-3mdk
- Merged Patch3,4,5,6,7 from RH.
- Removed Source1 (unused).

